import { expect } from 'chai';
import 'mocha';
import { uuid } from './uuid';

describe('UUID Service', function () {
  this.timeout(1000);

  it('provides universal unique identifiers', () => {
    const uuid1 = uuid();
    expect(uuid1).to.match(
      /[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}/i,
      'generated uuid does not match the UUID format'
    );
    const uuid2 = uuid();
    const uuid3 = uuid();
    expect(uuid2).to.not.equal(uuid3, 'generated uuids are not unique');
  });
});
